Go to the first, previous, next, last section, table of contents.

# 8 Platform-specific features

This section lists the settings and commands that are platform specific.

## 8.1 SDL-specific features

This section lists the settings and commands that are common and specific to SDL, and are thus not present in other platforms.

### 8.1.1 SDL specific resources

`HotkeyFile`
  String specifying the name of the hotkey file (all emulators except vsid).
`MenuKey`
  Integer specifying the keycode for activating the SDL menu.
`MenuKeyUp`
  Integer specifying the keycode for 'up' in the SDL menu.
`MenuKeyDown`
  Integer specifying the keycode for 'down' in the SDL menu.
`MenuKeyLeft`
  Integer specifying the keycode for 'left' in the SDL menu.
`MenuKeyRight`
  Integer specifying the keycode for 'right' in the SDL menu.
`MenuKeyPageUp`
  Integer specifying the keycode for 'page up' in the SDL menu.
`MenuKeyPageDown`
  Integer specifying the keycode for 'page down' in the SDL menu.
`MenuKeyHome`
  Integer specifying the keycode for 'home' in the SDL menu.
`MenuKeyEnd`
  Integer specifying the keycode for 'end' in the SDL menu.
`MenuKeySelect`
  Integer specifying the keycode for 'select' in the SDL menu.
`MenuKeyCancel`
  Integer specifying the keycode for 'cancel' in the SDL menu.
`MenuKeyExit`
  Integer specifying the keycode for 'exit' in the SDL menu.
`MenuKeyMap`
  Integer specifying the keycode for 'map' in the SDL menu.
`SaveResourcesOnExit`
  Boolean specifying whether the emulator should save changed settings before exiting. If this is enabled, the user will be always prompted first, in case the settings have changed.
`ConfirmOnExit`
  Boolean specifying whether to show a confirmation dialog on exit.
`SDLStatusbar`
  Boolean to enable/disable the statusbar (all emulators except vsid).
`SDLBitdepth`
  Integer specifying the bitdepth used. (0: current, 8, 15, 16, 24, 32)
`SDLLimitMode`
  Integer specifying the resolution limit mode. (0: off, 1: max, 2: fixed)
`SDLCustomWidth`
  Integer specifying the custom resolution width.
`SDLCustomHeight`
  Integer specifying the custom resolution height.
`KbdStatusbar`
  Boolean specifying whether the keyboard-status bar is enabled.
`SDL2Renderer`
  String specifying the preferred SDL2 renderer.
`SDLWindowWidth`
  Integer specifying the SDL window width.
`SDLWindowHeight`
  Integer specifying the SDL window height.
`SDLGLFilter`
  Integer specifying the OpenGL filtering mode.
`JoyDevice1`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 1 (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`JoyDevice2`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 2 (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`JoyDevice3`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 1 (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`JoyDevice4`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 2 (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`CrtcSDLFullscreenMode`
  Integer specifying the fullscreen mode (xcbm2 and xpet only).
`CrtcHwScale`
  Boolean specifying whether to enable or disable hardware scaling (xcbm2 and xpet only).
`CrtcFullscreenDevice`
  String specifying the fullscreen device (xcbm2 and xpet only).
`CrtcFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xcbm2 and xpet only).
`CrtcFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (xcbm2 and xpet only).
`TEDSDLFullscreenMode`
  Integer specifying the fullscreen mode (xplus4 only).
`TEDHwScale`
  Boolean specifying whether to enable or disable hardware scaling (xplus4 only).
`TEDFullscreenDevice`
  String specifying the fullscreen device (xplus4 only).
`TEDFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xplus4 only).
`TEDFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (xplus4 only).
`VDCSDLFullscreenMode`
  Integer specifying the fullscreen mode (x128 only).
`VDCHwScale`
  Boolean specifying whether to enable or disable hardware scaling (x128 only).
`VDCFullscreenDevice`
  String specifying the fullscreen device (x128 only).
`VDCFullscreen`
  Boolean specifying whether to use fullscreen mode or not (x128 only).
`VDCFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (x128 only).
`VICSDLFullscreenMode`
  Integer specifying the fullscreen mode (xvic only).
`VICHwScale`
  Boolean specifying whether to enable or disable hardware scaling (xvic only).
`VICFullscreenDevice`
  String specifying the fullscreen device (xvic only).
`VICFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xvic only).
`VICFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (xvic only).
`VICIISDLFullscreenMode`
  Integer specifying the fullscreen mode (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIHwScale`
  Boolean specifying whether to enable or disable hardware scaling (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIFullscreenDevice`
  String specifying the fullscreen device (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIFullscreen`
  Boolean specifying whether to use fullscreen mode or not (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (all emulators except xcbm2, xpet, xplus4, xvic and vsid).

The following resources are only present if the OpenGL library is present and used at compile time.

`AspectRatio`
  String/float specifying the aspect ratio. (0.5-2.0)
`SDLGLAspectMode`
  Integer specifying the OpenGL aspect mode. (0: off, 1: custom, 2: true)
`SDLGLFlipX`
  Boolean to enable/disable OpenGL horizontal screen flip.
`SDLGLFlipY`
  Boolean to enable/disable OpenGL vertical screen flip.

The following resources are only present if the SDL library has joystick support at compile time and applies to all emulators except vsid.

`JoyMapFile`
  String specifying the name of the joystick map file.
`JoyThreshold`
  Integer specifying the joystick threshold. (0..32767)
`JoyFuzz`
  Integer specifying the joystick fuzz. (0..32767)

### 8.1.2 SDL specific command-line options

`-hotkeyfile <name>`
  Set the hotkey file name (`HotkeyFile`) (all emulators except vsid).
`-menukey <key>`
  Set the keycode of the SDL menu activation key (`MenuKey`).
`-menukeyup <key>`
  Set the keycode of the 'up' key in the SDL menu (`MenuKeyUp`).
`-menukeydown <key>`
  Set the keycode of the 'down' key in the SDL menu (`MenuKeyDown`).
`-menukeyleft <key>`
  Set the keycode of the 'left' key in the SDL menu (`MenuKeyLeft`).
`-menukeyright <key>`
  Set the keycode of the 'right' key in the SDL menu (`MenuKeyRight`).
`-menukeypageup <key>`
  Set the keycode of the 'page up' key in the SDL menu (`MenuKeyPageUp`).
`-menukeypagedown <key>`
  Set the keycode of the 'page down' key in the SDL menu (`MenuKeyPageDown`).
`-menukeyhome <key>`
  Set the keycode of the 'home' key in the SDL menu (`MenuKeyHome`).
`-menukeyend <key>`
  Set the keycode of the 'end' key in the SDL menu (`MenuKeyEnd`).
`-menukeyselect <key>`
  Set the keycode of the 'select' key in the SDL menu (`MenuKeySelect`).
`-menukeycancel <key>`
  Set the keycode of the 'cancel' key in the SDL menu (`MenuKeyCancel`).
`-menukeyexit <key>`
  Set the keycode of the 'exit' key in the SDL menu (`MenuKeyExit`).
`-menukeymap <key>`
  Set the keycode of the 'map' key in the SDL menu (`MenuKeyMap`).
`-saveres`
`+saveres`
  Enable/disable automatic saving of settings on exit (`SaveResourcesOnExit=1`, `SaveResourcesOnExit=0`).
`-confirmonexit`
  Confirm quitting VICE (`ConfirmOnExit=1`).
`+confirmonexit`
  Never confirm quitting VICE (`ConfirmOnExit=0`).
`-statusbar`
`+statusbar`
  Enable/disable the statusbar (`SDLStatusbar=1`, `SDLStatusbar=0`) (all emulators except vsid).
`-sdlbitdepth <bpp>`
  Set the display bitdepth (`SDLBitdepth`). (0: current, 8, 15, 16, 24, 32)
`-sdllimitmode <mode>`
  Set the resolution limit mode (`SDLLimitMode`). (0: off, 1: max, 2: fixed)
`-sdlcustomw <width>`
  Set the custom resolution width (`SDLCustomWidth`).
`-sdlcustomh <height>`
  Set the custom resolution height (`SDLCustomHeight`).
`-sdlinitialw <width>`
  Set initial window width.
`-sdlinitialh <height>`
  Set initial window height.
`-kbdstatusbar`
`+kbdstatusbar`
  Enable/Disable keyboard-status bar (when status bar is enabled) (`KbdStatusbar=1`, `KbdStatusbar=0`).
`-sdlglfilter <mode>`
  Set OpenGL filtering mode (0 = nearest, 1 = linear) (`SDLGLFilter`).
`-sdl2renderer <renderer name>`
  Set the preferred SDL2 renderer (`SDL2Renderer`).
`-joydev1 <0-3> / <0-4>`
  Set the device for joystick emulation of port 1 (`JoyDevice1`) (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`-joydev2 <0-3> / <0-4>`
  Set the device for joystick emulation of port 2 (`JoyDevice2`) (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`-extrajoydev1 <0-3> / <0-4>`
  Set device for extra joystick port 1 (`JoyDevice3`) (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`-extrajoydev2 <0-3> / <0-4>`
  Set device for extra joystick port 2 (`JoyDevice4`) (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Joystick (only if joystick support was present in the compile time SDL library))
`-CRTCSDLfullmode <Mode>`
  Set the fullscreen mode (`CrtcSDLFullscreenMode`) (xcbm2 and xpet only).
`-CRTChwscale`
`+CRTChwscale`
  Enable/Disable hardware scaling (`CrtcHwScale=1`, `CrtcHwScale=0`) (xcbm2 and xpet only).
`-CRTCfulldevice <device>`
  Select fullscreen device (`CrtcFullscreenDevice`) (xcbm2 and xpet only).
`-CRTCfull`
`+CRTCfull`
  Enable/Disable fullscreen (`CrtcFullscreen=1`, `CrtcFullscreen=0`) (xcbm2 and xpet only).
`-TEDSDLfullmode <Mode>`
  Set the fullscreen mode (`TEDSDLFullscreenMode`) (xplus4 only).
`-TEDhwscale`
`+TEDhwscale`
  Enable/Disable hardware scaling (`TEDHwScale=1`, `TEDHwScale=0`) (xplus4 only).
`-TEDfulldevice <device>`
  Select fullscreen device (`TEDFullscreenDevice`) (xplus4 only).
`-TEDfull`
`+TEDfull`
  Enable/Disable fullscreen (`TEDFullscreen=1`, `TEDFullscreen=0`) (xplus4 only).
`-VDCSDLfullmode <Mode>`
  Set the fullscreen mode (`VDCSDLFullscreenMode`) (x128 only).
`-VDChwscale`
`+VDChwscale`
  Enable/Disable hardware scaling (`VDCHwScale=1`, `VDCHwScale=1`) (x128 only).
`-VDCfulldevice <device>`
  Select fullscreen device (`VDCFullscreenDevice`) (x128 only).
`-VDCfull`
`+VDCfull`
  Enable/Disable fullscreen (`VDCFullscreen=1`, `VDCFullscreen=0`) (x128 only).
`-VICSDLfullmode <Mode>`
  Set the fullscreen mode (`VICSDLFullscreenMode`) (xvic only).
`-VIChwscale`
`+VIChwscale`
  Enable/Disable hardware scaling (`VICHwScale=1`, `VICHwScale=0`) (xvic only).
`-VICfulldevice <device>`
  Select fullscreen device (`VICFullscreenDevice`) (xvic only).
`-VICfull`
`+VICfull`
  Enable/Disable fullscreen (`VICFullscreen=1`, `VICFullscreen=0`) (xvic only).
`-VICIISDLfullmode <Mode>`
  Set the fullscreen mode (`VICIISDLFullscreenMode`) (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`-VICIIhwscale`
`+VICIIhwscale`
  Enable/Disable hardware scaling (`VICIIHwScale=1`, `VICIIHwScale=0`) (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`-VICIIfulldevice <device>`
  Select fullscreen device (`VICIIFullscreenDevice`) (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`-VICIIfull`
`+VICIIfull`
  Enable/Disable fullscreen (`VICIIFullscreen=1`, `VICIIFullscreen=0`) (all emulators except xcbm2, xpet, xplus4, xvic and vsid).

The following command-line options are only present if the OpenGL library is present and used at compile time.

`-aspect <aspect ratio>`
  Set the aspect ratio (`AspectRatio`). (0.5-2.0)
`-sdlaspectmode <mode>`
  Set the aspect mode (`SDLGLAspectMode`). (0: off, 1: custom, 2: true)
`-sdlflipx`
`+sdlflipx`
  Enable/disable OpenGL horizontal screen flip (`SDLGLFlipX=1`, `SDLGLFlipX=0`).
`-sdlflipy`
`+sdlflipy`
  Enable/disable OpenGL vertical screen flip (`SDLGLFlipY=1`, `SDLGLFlipY=0`).

The following command-line options are only present if the SDL library has joystick support at compile time and applies to all emulators except vsid.

`-joymap <name>`
  Set the joystick map file name (`JoyMapFile`).
`-joythreshold <0-32767>`
  Set the joystick threshold (`JoyThreshold`).
`-joyfuzz <0-32767>`
  Set the joystick fuzz (`JoyFuzz`).

## 8.2 GTK3 specific features

This section lists the settings and commands that are common and specific to Unix, and are thus not present in other platforms.

### 8.2.1 GTK3 specific resources

`GTKBackend`
  Rendering backend to use for the Gtk3 UI (0: Cairo, 1: OpenGL).
`GTKFilter`
  Rendering filter to use for the Gtk3 UI (0: Nearest neighbor, 1: Bilinear interpolation).
`AspectRatio`
  String/float specifying the aspect ratio (0.5-2.0).
`KeepAspectRatio`
  Boolean specifying whether the aspect ratio of the output window should be preserved. (0: free scaling, 1: scale with fixed aspect ratio)
`TrueAspectRatio`
  Boolean specifying whether to use the true (non square pixels) aspect ratio.
`StartMinimized`
  Boolean specifying whether the emulator should start minimized
`SaveResourcesOnExit`
  Boolean specifying whether the emulator should save changed settings before exiting. If this is enabled, the user will be always prompted first, in case the settings have changed.
`ConfirmOnExit`
  Boolean specifying whether to show a confirmation dialog on exit.
`DisplayDepth`
  Integer specifying the depth of the host display. The value ``0'` (the default) causes the emulator to autodetect it (all emulators except vsid). (0..32)
`Window0Width`
`Window0Height`
`Window0Xpos`
`Window0Ypos`
  Integers specifying the position and size of the (first) emulator window (all emulators except vsid).
`Window1Width`
`Window1Height`
`Window1Xpos`
`Window1Ypos`
  Integers specifying the position and size of the (second) emulator window (x128 only).
`CrtcHwScale`
  Boolean specifying whether to enable or disable hardware scaling (xcbm2 and xpet only).
`CrtcFullscreenDevice`
  String specifying the fullscreen device (xcbm2 and xpet only).
`CrtcFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xcbm2 and xpet only).
`CrtcFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (xcbm2 and xpet only).
`TEDHwScale`
  Boolean specifying whether to enable or disable hardware scaling (xplus4 only).
`TEDFullscreenDevice`
  String specifying the fullscreen device (xplus4 only).
`TEDFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xplus4 only).
`TEDFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (xplus4 only).
`VDCHwScale`
  Boolean specifying whether to enable or disable hardware scaling (x128 only).
`VDCFullscreenDevice`
  String specifying the fullscreen device (x128 only).
`VDCFullscreen`
  Boolean specifying whether to use fullscreen mode or not (x128 only).
`VDCFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (x128 only).
`VICHwScale`
  Boolean specifying whether to enable or disable hardware scaling (xvic only).
`VICFullscreenDevice`
  String specifying the fullscreen device (xvic only).
`VICFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xvic only).
`VICFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (xvic only).
`VICIIHwScale`
  Boolean specifying whether to enable or disable hardware scaling (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIFullscreenDevice`
  String specifying the fullscreen device (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIFullscreen`
  Boolean specifying whether to use fullscreen mode or not (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`VICIIFullscreenStatusbar`
  Boolean specifying whether to show the status bar in fullscreen mode or not (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`JoyDevice1`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 1 (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice2`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 2 (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice3`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 1 (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice4`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 2 (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)

The available joysticks might differ depending on operating system and joystick support in the OS.

`Devices 4..9`
  Only available if joystick support is available at compile time.
`Devices 10 and 11`
  Only available if digital joystick support is available at compile time.
`Devices 12 and 13`
  Only available if USB joystick support is available at compile time.

The following resources are only available if MIDI support is available at compile time.

`MIDIInDev`
  String specifying the MIDI input device (x64, x64sc, xscpu64, x128 and xvic only).
`MIDIOutDev`
  String specifying the MIDI output device (x64, x64sc, xscpu64, x128 and xvic only).

The following resource is only available if MIDI support and ALSA support is available at compile time.

`MIDIDriver`
  Enum specifying the MIDI driver (x64, x64sc, xscpu64, x128 and xvic only). (0: OSS, 1: ALSA)

### 8.2.2 GTK3 specific command-line options

`-saveres`
`+saveres`
  Enable/disable automatic saving of settings on exit (`SaveResourcesOnExit=1`, `SaveResourcesOnExit=0`).
`-minimized`
`+minimized`
  Start/Do not start with minimized window (`StartMinimized=1`, `StartMinimized=0`).
`-aspect <aspect ratio>`
  Set the aspect ratio (`AspectRatio`). (0.5-2.0)
`-gtkbackend <backend>`
  Set the Gtk3 rendering backend (`GTKBackend`) (0: Cairo, 1: OpenGL)
`-gtkfilter <filter>`
  (`GTKFilter`) (0: Nearest neighbor, 1: Bilinear interpolation)
`-keepaspect`
  Enable keeping of the aspect ratio when scaling (`KeepAspectRatio=1`).
`+keepaspect`
  Disable keeping of the aspect ratio when scaling (freescaling) (`KeepAspectRatio=0`).
`-trueaspect`
`+trueaspect`
  Enable/disable whether to use the true (non square pixels) aspect ratio (`TrueAspectRatio=1`, (`TrueAspectRatio=0`).
`-confirmonexit`
  Confirm quitting VICE (`ConfirmOnExit=1`).
`+confirmonexit`
  Never confirm quitting VICE (`ConfirmOnExit=0`).
`-fullscreen`
`+fullscreen`
  Enable/disable fullscreen mode (`UseFullscreen=1`, (`UseFullscreen=0`) (all emulators except vsid).
`-CRTChwscale`
`+CRTChwscale`
  Enable/Disable hardware scaling (`CrtcHwScale=1`, `CrtcHwScale=0`) (xcbm2 and xpet only).
`-CRTCfulldevice <device>`
  Select fullscreen device (`CrtcFullscreenDevice`) (xcbm2 and xpet only).
`-TEDhwscale`
`+TEDhwscale`
  Enable/Disable hardware scaling (`TEDHwScale=1`, `TEDHwScale=0`) (xplus4 only).
`-TEDfulldevice <device>`
  Select fullscreen device (`TEDFullscreenDevice`) (xplus4 only).
`-VDChwscale`
`+VDChwscale`
  Enable/Disable hardware scaling (`VDCHwScale=1`, `VDCHwScale=1`) (x128 only).
`-VIChwscale`
`+VIChwscale`
  Enable/Disable hardware scaling (`VICHwScale=1`, `VICHwScale=0`) (xvic only).
`-VICfulldevice <device>`
  Select fullscreen device (`VICFullscreenDevice`) (xvic only).
`-VICIIhwscale`
`+VICIIhwscale`
  Enable/Disable hardware scaling (`VICIIHwScale=1`, `VICIIHwScale=0`) (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`-VICIIfulldevice <device>`
  Select fullscreen device (`VICIIFullscreenDevice`) (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`-joydev1 <0-3> / <0-9> / <0-11> / <0-13>`
  Set the device for joystick emulation of port 1 (`JoyDevice1`) (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-joydev2 <0-3> / <0-9> / <0-11> / <0-13>`
  Set the device for joystick emulation of port 2 (`JoyDevice2`) (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-extrajoydev1 <0-3> / <0-9> / <0-11> / <0-13>`
  Set device for extra joystick port 1 (`JoyDevice3`) (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-extrajoydev2 <0-3> / <0-9> / <0-11> / <0-13>`
  Set device for extra joystick port 2 (`JoyDevice4`) (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)

The available joysticks might differ depending on operating system and joystick support in the OS.

`Devices 4..9`
  Only available if joystick support is available at compile time.
`Devices 10 and 11`
  Only available if digital joystick support is available at compile time.
`Devices 12 and 13`
  Only available if USB joystick support is available at compile time.

The following command-line options are only available if MIDI support is available at compile time.

`-midiin <name>`
  Specify MIDI-In device (`MIDIInDev`) (x64, x64sc, xscpu64, x128 and xvic only).
`-midiout <name>`
  Specify MIDI-Out device (`MIDIOutDev`) (x64, x64sc, xscpu64, x128 and xvic only).

The following command-line option is only available if MIDI support and ALSA support is available at compile time.

`-mididrv <driver>`
  Specify MIDI driver (`MIDIDriver`) (x64, x64sc, xscpu64, x128 and xvic only). (0: OSS, 1: ALSA)

Go to the first, previous, next, last section, table of contents.